Skip to main content
POST
/
rooms
/
{room_name}
/
eject
rooms/:name/eject
curl --request POST \
  --url https://api.daily.co/v1/rooms/{room_name}/eject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "<string>"
  ],
  "user_ids": [
    "<string>"
  ],
  "ban": false
}
'
{
  "ejectedIds": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_name
string
required

Body

application/json
ids
string[]

List of participant ids (max 100) to eject from the existing meeting session.

user_ids
string[]

List of user_ids (max 100) to eject from the existing meeting session.

ban
boolean
default:false

If true, participants are prevented from (re)joining with the given user_ids.

Response

200

ejectedIds
string[]